Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161658 - Crash in SWT web browser when visiting page with password field
Summary: Crash in SWT web browser when visiting page with password field
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact:
URL: http://www.rssowl.org/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-25 01:04 UTC by Robin Green
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-13 11:58:47 UTC


Attachments (Terms of Use)
Backtrace from gdb (deleted)
2005-06-25 01:04 UTC, Robin Green
no flags Details

Description Robin Green 2005-06-25 01:04:30 UTC
Description of problem:
Any SWT app that embeds Fedora's version of Firefox will crash if a web page
with a password field is visited. Not sure if this is an SWT bug or a firefox
embedding bug.

Version-Release number of selected component (if applicable):
eclipse-platform-3.1.0_fc-0.RC3.2 (built by me from rawhide CVS)

How reproducible:
Every time

Steps to Reproduce:
1. Download eclipse examples from
http://download.eclipse.org/eclipse/downloads/drops/S-3.1RC3-200506171618/download.php?dropFile=eclipse-examples-3.1RC3.zip
2. On the Window menu, select Show View -> Other -> SWT Examples -> Web Browser
(*** NOT Browser Demo!! ***)
3. In the URL field, type www.rssowl.org and press enter. (NOTE: Sometimes the
URL field does not work in native eclipse. If it doesn't respond, try to click
around to someplace that will spawn a new window and try again in the new
window; alternatively, just use a Sun VM.)
  
Actual results:
Crash (see attached backtrace)

Expected results:
No crash

Additional info:
firefox-1.0.4-5

Workaround:
Install the eclipse-3.1-supported browser version, mozilla 1.7.3, from
mozilla.org, and set the environment variable MOZILLA_FIVE_HOME to where you
installed it, e.g. export MOZILLA_FIVE_HOME=/usr/local/mozilla

Comment 1 Robin Green 2005-06-25 01:04:30 UTC
Created attachment 115967 [details]
Backtrace from gdb

Comment 2 Robin Green 2005-06-25 01:19:06 UTC
Actually, mozilla 1.7.8 from rawhide works fine too, so it is enough - for now -
to just patch /usr/bin/eclipse as follows:

--- /usr/bin/eclipse~   2005-06-22 16:34:20.000000000 +0100
+++ /usr/bin/eclipse    2005-06-25 02:15:00.000000000 +0100
@@ -37,7 +37,7 @@

 # This makes the embedded browser work.
 if [ -z "$MOZILLA_FIVE_HOME" ]; then
-  XPCOM=$(ls -t /usr/lib/{mozilla,firefox}-*/libxpcom.so|head -n1)
+  XPCOM=$(ls -t /usr/lib/mozilla-*/libxpcom.so|head -n1)
   export MOZILLA_FIVE_HOME=$(dirname $XPCOM)
 fi
 export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$MOZILLA_FIVE_HOME


However, the Mozilla Application Suite is being end-of-lifed, so the crash
relating to firefox will have to be fixed eventually.

Comment 3 Andrew Overholt 2005-06-27 18:10:18 UTC
I'll include this in my RC4 build which I'm about to start.  Thanks!

Comment 4 Robin Green 2005-08-13 11:58:47 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.